Bug 456321 - -ta from relative path no longer works
-ta from relative path no longer works
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 16:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: rpm-4.5.90-0.git8444.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 02:49:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-07-22 16:02:18 EDT
Description of problem:

[notting@nostromo: ~/prog/mash]$ rpmbuild -ta dist/mash-0.3.7.tar.gz 
error: File /home/notting/prog/mash/mash-0.3.7.tar.gz: No such file or directory
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.8rOepO
+ umask 022
+ cd /home/notting/prog/rpm/build/
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/notting/prog/rpm/build
+ rm -rf mash-0.3.7
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.ph4RAT
+ umask 022
+ cd /home/notting/prog/rpm/build/
+ cd mash-0.3.7
/var/tmp/rpm-tmp.ph4RAT: line 24: cd: mash-0.3.7: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.ph4RAT (%build)

Doing rpmbuild -ta $(pwd)/dist/mash-0.3.7.tar.gz  works.

Version-Release number of selected component (if applicable):

rpm-4.5.90-0.git8426.9.x86_64
Comment 1 Panu Matilainen 2008-07-24 04:41:46 EDT
Fixed upstream now (just a dumb thinko)
Comment 2 Panu Matilainen 2008-08-04 02:49:38 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.